%global momorel 2

# For the curious:
# 0.9.5a soversion = 0
# 0.9.6  soversion = 1
# 0.9.6a soversion = 2
# 0.9.6c soversion = 3
# 0.9.7a soversion = 4
# 0.9.7ef soversion = 5
# 0.9.8abefg soversion = 6
# 0.9.8hj soversion = 7
# 0.9.8kln + EAP-FAST soversion = 8
%define soversion 8

# Number of threads to spawn when testing some threading fixes.
%define thread_test_threads %{?threads:%{threads}}%{!?threads:1}

# Arches on which we need to prevent arch conflicts on opensslconf.h, must
# also be handled in opensslconf-new.h.
%define multilib_arches %{ix86} ia64 ppc ppc64 s390 s390x sparcv9 sparc64 x86_64

# Arches for which we don't build subpackages.
%define optimize_arches %{nil}

Summary: A general purpose cryptography library with TLS implementation
Name: openssl
Version: 0.9.8n
Release: %{momorel}m%{?dist}
Source: ftp://ftp.openssl.org/source/openssl-%{version}.tar.gz
NoSource: 0
Source1: hobble-openssl
Source2: Makefile.certificate
Source6: make-dummy-cert
Source8: openssl-thread-test.c
Source9: opensslconf-new.h
Source10: opensslconf-new-warning.h
# Build changes
Patch0: openssl-0.9.8m-redhat.patch
Patch1: openssl-0.9.8a-defaults.patch
Patch2: openssl-0.9.8a-link-krb5.patch
Patch3: openssl-0.9.8j-soversion.patch
Patch4: openssl-0.9.8m-enginesdir.patch
Patch5: openssl-0.9.8a-no-rpath.patch
Patch6: openssl-0.9.8b-test-use-localhost.patch
Patch7: openssl-0.9.8k-shlib-version.patch
# Bug fixes
Patch22: openssl-0.9.8k-x509-name-cmp.patch
Patch23: openssl-0.9.8m-default-paths.patch
# Functionality changes
Patch32: openssl-0.9.8g-ia64.patch
Patch33: openssl-0.9.8m-ca-dir.patch
Patch34: openssl-0.9.6-x509.patch
Patch35: openssl-0.9.8j-version-add-engines.patch
Patch38: openssl-0.9.8m-reuse-cipher-change.patch
Patch39: openssl-0.9.8g-ipv6-apps.patch
Patch40: openssl-0.9.8j-nocanister.patch
Patch41: openssl-0.9.8m-use-fipscheck.patch
Patch42: openssl-0.9.8m-fipscheck-hmac.patch
Patch44: openssl-0.9.8m-kernel-fipsmode.patch
Patch45: openssl-0.9.8j-env-nozlib.patch
Patch46: openssl-0.9.8m-eap-fast.patch
Patch47: openssl-0.9.8j-readme-warning.patch
Patch48: openssl-0.9.8j-bad-mime.patch
Patch49: openssl-0.9.8j-fips-no-pairwise.patch
Patch50: openssl-0.9.8j-fips-rng-seed.patch
Patch51: openssl-0.9.8m-multi-crl.patch
# Backported fixes including security fixes
Patch60: openssl-0.9.8n-CVE-2010-0742.patch

License: "OpenSSL"
Group: System Environment/Libraries
URL: http://www.openssl.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: mktemp, krb5-devel, perl, sed, zlib-devel, diffutils
BuildRequires: util-linux-ng
Requires: mktemp, ca-certificates >= 2008-1m

%description
The OpenSSL toolkit provides support for secure communications between
machines. OpenSSL includes a certificate management tool and shared
libraries which provide various cryptographic algorithms and
protocols.

%package devel
Summary: Files for development of applications which will use OpenSSL
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, krb5-devel, zlib-devel
Requires: pkgconfig

%description devel
OpenSSL is a toolkit for supporting cryptography. The openssl-devel
package contains include files needed to develop applications which
support various cryptographic algorithms and protocols.

%package static
Summary:  Libraries for static linking of applications which will use OpenSSL
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
OpenSSL is a toolkit for supporting cryptography. The openssl-static
package contains static libraries needed for static linking of
applications which support various cryptographic algorithms and
protocols.

%package perl
Summary: Perl scripts provided with OpenSSL
Group: Applications/Internet
Requires: perl
Requires: %{name} = %{version}-%{release}

%description perl
OpenSSL is a toolkit for supporting cryptography. The openssl-perl
package provides Perl scripts for converting certificates and keys
from other formats to the formats used by the OpenSSL toolkit.

%prep
%setup -q

%{SOURCE1} > /dev/null
%patch0 -p1 -b .redhat
%patch1 -p1 -b .defaults
# Fix link line for libssl (bug #111154).
%patch2 -p1 -b .krb5
%patch3 -p1 -b .soversion
%patch4 -p1 -b .enginesdir
%patch5 -p1 -b .no-rpath
%patch6 -p1 -b .use-localhost
%patch7 -p1 -b .shlib-version

%patch22 -p1 -b .name-cmp
%patch23 -p1 -b .default-paths

%patch32 -p1 -b .ia64
%patch33 -p1 -b .ca-dir
%patch34 -p1 -b .x509
%patch35 -p1 -b .version-add-engines
%patch38 -p1 -b .cipher-change
%patch39 -p1 -b .ipv6-apps
%patch40 -p1 -b .nocanister
%patch41 -p1 -b .use-fipscheck
%patch42 -p1 -b .fipscheck-hmac
%patch44 -p1 -b .fipsmode
%patch45 -p1 -b .env-nozlib
%patch46 -p1 -b .eap-fast
%patch47 -p1 -b .warning
%patch48 -p1 -b .bad-mime
%patch49 -p1 -b .no-pairwise
%patch50 -p1 -b .rng-seed
%patch51 -p1 -b .multi-crl

%patch60 -p1 -b .CVE-2010-0742

# Modify the various perl scripts to reference perl in the right location.
perl util/perlpath.pl `dirname %{__perl}`

# Generate a table with the compile settings for my perusal.
# add sleep for tmpfs build
sleep 1
touch Makefile
make TABLE PERL=%{__perl}

%build 
# Figure out which flags we want to use.
# default
sslarch=%{_os}-%{_arch}
%ifarch %ix86
sslarch=linux-elf
if ! echo %{_target} | grep -q i686 ; then
	sslflags="no-asm 386"
fi
%endif
%ifarch sparcv9
sslarch=linux-sparcv9
sslflags=no-asm
%endif
%ifarch sparc64
sslarch=linux64-sparcv9
sslflags=no-asm
%endif
%ifarch alpha alphaev56 alphaev6 alphaev67
sslarch=linux-alpha-gcc
%endif
%ifarch s390 sh3eb sh4eb
sslarch="linux-generic32 -DB_ENDIAN"
%endif
%ifarch s390x
sslarch="linux-generic64 -DB_ENDIAN"
%endif
%ifarch %{arm} sh3 sh4
sslarch=linux-generic32
%endif
# ia64, x86_64, ppc, ppc64 are OK by default
# Configure the build tree.  Override OpenSSL defaults with known-good defaults
# usable on all platforms.  The Configure script already knows to use -fPIC and
# RPM_OPT_FLAGS, so we can skip specifiying them here.
./Configure \
	--prefix=%{_prefix} --openssldir=%{_sysconfdir}/pki/tls ${sslflags} \
	zlib enable-camellia enable-seed enable-tlsext enable-rfc3779 \
	enable-cms no-idea no-mdc2 no-rc5 no-ec no-ecdh no-ecdsa shared \
%ifarch %{ix86}
	no-sse2 \
%endif
	--with-krb5-flavor=MIT --enginesdir=%{_libdir}/openssl/engines \
	--with-krb5-dir=/usr ${sslarch} fipscanisterbuild

# Add -Wa,--noexecstack here so that libcrypto's assembler modules will be
# marked as not requiring an executable stack.
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Wa,--noexecstack"
make depend
make all

# Generate hashes for the included certs.
make rehash

%check
# Verify that what was compiled actually works.

# We must revert patch33 before tests otherwise they will fail
patch -p1 -R < %{PATCH33}

LD_LIBRARY_PATH=`pwd`${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
export LD_LIBRARY_PATH
make -C test apps tests
%{__cc} -o openssl-thread-test \
	`krb5-config --cflags` \
	-I./include \
	$RPM_OPT_FLAGS \
	%{SOURCE8} \
	-L. \
	-lssl -lcrypto \
	`krb5-config --libs` \
	-lpthread -lz -ldl
./openssl-thread-test --threads %{thread_test_threads}

# Add generation of HMAC checksum of the final stripped library
%define __spec_install_post \
    %{?__debug_package:%{__debug_install_post}} \
    %{__arch_install_post} \
    %{__os_install_post} \
    fips/fips_standalone_sha1 %{buildroot}%{_libdir}/libcrypto.so.%{version} >%{buildroot}%{_libdir}/.libcrypto.so.%{version}.hmac \
    ln -sf .libcrypto.so.%{version}.hmac %{buildroot}%{_libdir}/.libcrypto.so.%{soversion}.hmac \
    fips/fips_standalone_sha1 %{buildroot}%{_libdir}/libssl.so.%{version} >%{buildroot}%{_libdir}/.libssl.so.%{version}.hmac \
    ln -sf .libssl.so.%{version}.hmac %{buildroot}%{_libdir}/.libssl.so.%{soversion}.hmac \
%{nil}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
# Install OpenSSL.
install -d %{buildroot}{%{_bindir},%{_includedir},%{_libdir},%{_mandir},%{_libdir}/openssl}
make INSTALL_PREFIX=%{buildroot} install
make INSTALL_PREFIX=%{buildroot} install_docs
# OpenSSL install doesn't use correct _libdir on 64 bit archs
[ "%{_libdir}" != /usr/lib ] && mv %{buildroot}/usr/lib/lib*.so.%{soversion} %{buildroot}%{_libdir}/
mv %{buildroot}/usr/lib/engines %{buildroot}%{_libdir}/openssl
mv %{buildroot}%{_sysconfdir}/pki/tls/man/* %{buildroot}%{_mandir}/
rmdir %{buildroot}%{_sysconfdir}/pki/tls/man
mv %{buildroot}/usr/lib/* %{buildroot}%{_libdir}/ || :
rename so.%{soversion} so.%{version} %{buildroot}%{_libdir}/*.so.%{soversion}
for lib in %{buildroot}%{_libdir}/*.so.%{version} ; do
	chmod 755 ${lib}
	ln -s -f `basename ${lib}` %{buildroot}%{_libdir}/`basename ${lib} .%{version}`
	ln -s -f `basename ${lib}` %{buildroot}%{_libdir}/`basename ${lib} .%{version}`.%{soversion}
done

# Install a makefile for generating keys and self-signed certs, and a script
# for generating them on the fly.
mkdir -p %{buildroot}%{_sysconfdir}/pki/tls/certs
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/tls/certs/Makefile
install -m755 %{SOURCE6} %{buildroot}%{_sysconfdir}/pki/tls/certs/make-dummy-cert

# Make sure we actually include the headers we built against.
for header in %{buildroot}%{_includedir}/openssl/* ; do
	if [ -f ${header} -a -f include/openssl/$(basename ${header}) ] ; then
		install -m644 include/openssl/`basename ${header}` ${header}
	fi
done

# Rename man pages so that they don't conflict with other system man pages.
pushd %{buildroot}%{_mandir}
for manpage in man*/* ; do
	if [ -L ${manpage} ]; then
		TARGET=`ls -l ${manpage} | awk '{ print $NF }'`
		ln -snf ${TARGET}ssl ${manpage}ssl
		rm -f ${manpage}
	else
		mv ${manpage} ${manpage}ssl
	fi
done
for conflict in passwd rand ; do
	rename ${conflict} ssl${conflict} man*/${conflict}*
done
popd

# Pick a CA script.
pushd  %{buildroot}%{_sysconfdir}/pki/tls/misc
mv CA.sh CA
popd

mkdir -m700 %{buildroot}%{_sysconfdir}/pki/CA
mkdir -m700 %{buildroot}%{_sysconfdir}/pki/CA/private

# Ensure the openssl.cnf timestamp is identical across builds to avoid
# mulitlib conflicts and unnecessary renames on upgrade
touch -r %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/tls/openssl.cnf

# Fix libdir.
pushd %{buildroot}/%{_libdir}/pkgconfig
for i in *.pc ; do
	sed 's,^libdir=${exec_prefix}/lib,libdir=${exec_prefix}/%{_lib},g' \
		$i >$i.tmp && \
	cat $i.tmp >$i && \
	rm -f $i.tmp
done
popd

# Determine which arch opensslconf.h is going to try to #include.
basearch=%{_arch}
%ifarch %{ix86}
basearch=i386
%endif
%ifarch sparcv9
basearch=sparc
%endif
%ifarch sparc64
basearch=sparc64
%endif

%ifarch %{multilib_arches}
# Do an opensslconf.h switcheroo to avoid file conflicts on systems where you
# can have both a 32- and 64-bit version of the library, and they each need
# their own correct-but-different versions of opensslconf.h to be usable.
install -m644 %{SOURCE10} \
	%{buildroot}/%{_prefix}/include/openssl/opensslconf-${basearch}.h
cat %{buildroot}/%{_prefix}/include/openssl/opensslconf.h >> \
	%{buildroot}/%{_prefix}/include/openssl/opensslconf-${basearch}.h
install -m644 %{SOURCE9} \
	%{buildroot}/%{_prefix}/include/openssl/opensslconf.h
%endif

%ifarch %{optimize_arches}
# Remove bits which belong in subpackages.
rm -rf %{buildroot}/%{_prefix}/include/openssl
rm -rf %{buildroot}/%{_libdir}/*.a
rm -rf %{buildroot}/%{_libdir}/*.so
rm -rf %{buildroot}/%{_libdir}/pkgconfig
rm -rf %{buildroot}/%{_mandir}/man3/*

rm -rf %{buildroot}/%{_bindir}/c_rehash
rm -rf %{buildroot}/%{_mandir}/man1*/*.pl*
rm -rf %{buildroot}/%{_sysconfdir}/pki/tls/misc/*.pl
%endif

# Remove unused files from upstream fips support
rm -rf %{buildroot}/%{_bindir}/openssl_fips_fingerprint
rm -rf %{buildroot}/%{_libdir}/fips_premain.*
rm -rf %{buildroot}/%{_libdir}/fipscanister.*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc FAQ LICENSE CHANGES NEWS INSTALL README
%doc doc/c-indentation.el doc/openssl.txt
%doc doc/openssl_button.html doc/openssl_button.gif
%doc doc/ssleay.txt
#%%dir %{_sysconfdir}/pki/tls
#%%dir %{_sysconfdir}/pki/tls/certs
%{_sysconfdir}/pki/tls/certs/make-dummy-cert
%{_sysconfdir}/pki/tls/certs/Makefile
%dir %{_sysconfdir}/pki/tls/misc
%{_sysconfdir}/pki/tls/misc/CA
%dir %{_sysconfdir}/pki/CA
%dir %{_sysconfdir}/pki/CA/private
%{_sysconfdir}/pki/tls/misc/c_*
%{_sysconfdir}/pki/tls/private

%config(noreplace) %{_sysconfdir}/pki/tls/openssl.cnf

%attr(0755,root,root) %{_bindir}/openssl
%attr(0755,root,root) %{_libdir}/*.so.%{version}
%attr(0755,root,root) %{_libdir}/*.so.%{soversion}
%attr(0644,root,root) %{_libdir}/.libcrypto.so.*.hmac
%attr(0644,root,root) %{_libdir}/.libssl.so.*.hmac
%attr(0755,root,root) %{_libdir}/openssl
%attr(0644,root,root) %{_mandir}/man1*/[ABD-Zabcd-z]*
%attr(0644,root,root) %{_mandir}/man5*/*
%attr(0644,root,root) %{_mandir}/man7*/*

%ifnarch %{optimize_arches}
%files devel
%defattr(-,root,root)
%{_prefix}/include/openssl
%attr(0755,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_mandir}/man3*/*
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc

%files static
%defattr(-,root,root)
%attr(0644,root,root) %{_libdir}/*.a

%files perl
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/c_rehash
%attr(0644,root,root) %{_mandir}/man1*/*.pl*
#%%dir %{_sysconfdir}/pki/tls/misc
%{_sysconfdir}/pki/tls/misc/*.pl
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Jun 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8n-2m)
- [SECURITY] CVE-2010-0742
- import a security patch from Fedora 11 (0.9.8n-2)

* Mon Mar 29 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8n-1m)
- [SECURITY] CVE-2010-0740 CVE-2009-3245
- update to 0.9.8n
-- import patches from Fedora 11 (0.9.8n-1)

* Sun Mar 21 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8l-4m)
- [SECURITY] CVE-2010-0433
- apply the upstream patch

* Sat Jan 23 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8l-2m)
- [SECURITY] CVE-2009-4355
- import a security patch from Debian unstable (0.9.8k-8)

* Sun Nov 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8l-1m)
- [SECURITY] CVE-2009-3555
- update to 0.9.8l

* Wed Oct  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8k-3m)
- [SECURITY] CVE-2009-2409
- import upstream patch (Patch100)
-- http://cvs.openssl.org/chngview?cn=18381

* Thu Jul  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8k-2m)
- [SECURITY] CVE-2009-1377 CVE-2009-1378 CVE-2009-1379 CVE-2009-1387
- sync with Fedora 11 (0.9.8k-5)
- build with no-sse2 on i686

* Sat Apr  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8k-1m)
- [SECURITY] CVE-2009-0590 CVE-2009-0591
- sync with Rawhide (0.9.8k-1)
-- but not merge optimize_arches

* Sat Feb 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8j-4m)
- remove duplicate directories

* Tue Feb 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8j-3m)
- move ca-bundle.crt to ca-certificates package
-- Requires: ca-certificates >= 2008-1m

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8j-2m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8j-1m)
- [SECURITY] CVE-2008-5077 CVE-2009-1386
- update to 0.9.8j
-- add following Configure options
--- enable-camellia enable-seed enable-tlsext enable-rfc3779
-- update Patch4,32,35 for fuzz=0

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.8h-1m)
- [SECURITY] CVE-2008-0891 CVE-2008-1672
- update to 0.9.8h

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.8g-3m)
- rebuild against gcc43

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.8g-2m)
- rebuild against perl-5.10.0-1m

* Fri Oct 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.8g-1m)
- update to 0.9.8g

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.8f-1m)
- [SECURITY] CVE-2007-4995
- update to 0.9.8f

* Sat Sep 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.8e-4m)
- [SECURITY] CVE-2007-5135
- http://cvs.openssl.org/filediff?f=openssl/ssl/ssl_lib.c&v1=1.133.2.9&v2=1.133.2.10

* Sat Aug 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.8e-3m)
- [SECURITY] CVE-2007-3108
- http://openssl.org/news/patch-CVE-2007-3108.txt

* Thu Mar 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.8e-2m)
- Fix gcc-4.2
-- Patch100:openssl-0.9.8e-gcc-4.2.patch

* Sun Mar  4 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.8e-1m)
- update Sources:
  Source: openssl-0.9.8e.tar.gz
  Source7: libica-1.3.8.tar.bz2
- removed patches:
  Patch24: openssl-0.9.8a-padlock.patch
  Patch36: openssl-0.9.8a-use-poll.patch
  Patch40: openssl-0.9.8b-enc-bufsize.patch
  Patch51: openssl-0.9.8b-block-padding.patch
  Patch52: openssl-0.9.8b-pkcs12-fix.patch
  Patch53: openssl-0.9.8b-bn-threadsafety.patch
  Patch54: openssl-0.9.8b-aes-cachecol.patch
  Patch55: openssl-0.9.8b-pkcs7-leak.patch
  Patch56: openssl-0.9.8b-cve-2006-4339.patch
  Patch57: openssl-0.9.8b-cve-2006-2937.patch
  Patch58: openssl-0.9.8b-cve-2006-2940.patch
  Patch59: openssl-0.9.8b-cve-2006-3738.patch
  Patch60: openssl-0.9.8b-cve-2006-4343.patch
- soversion unchanged but may have to be incremented 

* Mon Oct  2 2006 YONEKAWA Susumu <yonekawas@mmg.roka.jp>
- (0.9.8b-6m)
- revised changelog and postuninstall scripts

* Sat Sep 30 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.8b-5m)
- [SECURITY] CVE-2006-2937 CVE-2006-2940 CVE-2006-3738 CVE-2006-4343
- http://www.openssl.org/news/secadv_20060928.txt
- import patch from FC-devel

* Fri Sep  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.8b-4m)
- import patch from FC-devel
- [SECURITY] fix CVE-2006-4339 - prevent attack on PKCS#1 v1.5 signatures

* Sat Jun 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.8b-3m)
- delete duplicate file

* Sat May 13 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (0.9.8b-2m)
- sync with fc-devel

* Tue May 09 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (0.9.8b-1m)
- version up
- add patch23,24 from fc-devel

* Sun Apr  9 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.8a-2m)
- add sleep 1 before touch Makefile for tmpfs build

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.8a-1m)
- upgrade 0.9.8a
- import from fc5

* Fri Feb 24 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.7i-1m)
- [SECURITY] CVE-2005-2969
- http://www.st.ryukoku.ac.jp/%7Ekjm/security/memo/2005/10.html#20051012_OpenSSL
- http://www.openssl.org/news/secadv_20051011.txt
- update to 0.9.7i

* Sat May 28 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.7g-2m)
- remove '%%{_libdir}/libcrypto.so.*'

* Tue Apr 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.7g-1m)
- upgrade 0.9.7g

* Tue Mar 29 2005 TAKAHASHI Tamotsu <tamo>
- (0.9.7f-1m)
- From NEWS:
  + Improved comparison of X509 Name type.
  + Mandatory basic checks on certificates.
- openssl-cflags.patch needs more checking,
  for ppc/ppc64 in particular!
- der_chop has been removed from the distribution.
- libfips is not installed. no need to remove it.
- Remove openssl-0.9.7a-missing-header.patch.
  Please re-apply it if necessary, tom-san.
- Update Makefile.certificate:
  + Thu Feb 10 2005 Tomas Mraz <tmraz@redhat.com>
  - Support UTF-8 charset in the Makefile.certificate (#134944)
- Update ca-bundle.crt:
  + Thu Jan 27 2005 Joe Orton <jorton@redhat.com> 0.9.7a-46
  - generate new ca-bundle.crt from Mozilla certdata.txt (revision 1.32)

* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (0.9.7e-3m)
- enable x86_64.

* Wed Dec  8 2004 TAKAHASHI Tamotsu <tamo>
- (0.9.7e-2m)
- apply derchop_tmpfile.patch to der_chop.in

* Wed Dec  8 2004 TAKAHASHI Tamotsu <tamo>
- (0.9.7e-1m)
- update
 - remove openssl-0.9.7d-pk7.patch
 - there is not 'Modes of DES' manual but 'Modes_of_DES'
 - libdir/pkgconfig is a directory, libdir/pkgconfig/openssl.pc is a file
 - there is no openssldir/lib
 - there is not crypto/bn/Makefile.ssl but crypto/bn/Makefile
  - what is the purpose of Patch1? (openssl-0.9.7a-missing-header.patch)
- CAN-2004-0975: do not use insecure temporary files
 (Patch2: openssl-0.9.7e-derchop_tmpfile.patch)

* Wed Sep 29 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.7d-3m)
- used shell variable instead of rpm macro

* Fri Jun 25 2004 TAKAHASHI Tamotsu <tamo>
- (0.9.7d-2m)
- apply http://cvs.openssl.org/filediff?f=openssl/crypto/pkcs7/pk7_doit.c&v1=1.50.2.8&v2=1.50.2.9
 see http://www.mail-archive.com/openssl-dev@openssl.org/msg17377.html
 You cannot S/MIME-encrypt messages without this patch!

* Wed Mar 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.7d-1m)
- including DoS fix
- http://www.openssl.org/news/secadv_20040317.txt

* Wed Dec 17 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.9.7c-5m)
- add openssl-0.9.7c-pod-fix.patch
  patch missing comma to doc/crypto/EVP_DigestInit.pod and doc/crypto/ui.pod
  This has already fixed in snapshot version
  http://www.mail-archive.com/openssl-dev@openssl.org/msg16352.html

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (0.9.7c-4m)
- devel package includes LICENSE.
- pretty spec file.

* Tue Oct  7 2003 Kazuhiko <yohgaki@momonga-linux.org>
- (0.9.7c-3m)
- add openssl.pc 

* Sun Oct  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.7c-2m)
- mv Modes\ of\ DES.7 Modes_of_DES.7

* Tue Sep 30 2003 zunda <zunda at freeshell.org>
- (0.9.7c-1m)
- [security] fix for DOS and remote code execution vulnerability
  http://www.uniras.gov.uk/vuls/2003/006489/openssl.htm

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.7b-2m)
- modify %define openssldir %{_datadir}/ssl

* Mon Apr 14 2003 HOSONO Hidetomo <h12o@h12o.org>
- (0.9.7b-1m)
- remove openssl-TimingAttack.patch (Patch2)
  and openssl-0.9.7a-Klima_Pokorny_Rosa.patch (Patch3)

* Sun Mar 23 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (0.9.7a-4m)
- [security] Klima-Pokorny-Rosa attack on RSA in SSL/TLS
  http://www.openssl.org/news/secadv_20030319.txt

* Tue Mar 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.7a-3m)
  fix symbolic link
  security fix
  http://www.securityfocus.com/archive/1/315292/2003-03-15/2003-03-21/0
  http://www.openssl.org/news/secadv_20030317.txt

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.7a-2m)
  add bn_lcl.h

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.7a-1m)
  update to 0.9.7a

* Thu Feb 20 2003 HOSONO Hidetomo <h12o@h12o.org>
- (0.9.6i-1m)
- version up

* Sat Dec  7 2002 HOSONO Hidetomo <h12o@h12o.org>
- (0.9.6h-1m)
- version up

* Tue Dec  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.6g-3m)
- drop '-fstack-protector' instead of '-fomit-frame-pointer'

* Tue Dec  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.6g-2m)
- drop -fomit-frame-pointer to resolve [Momonga-devel.ja:00956]

* Mon Aug 12 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6g-1m)
- update to 0.9.6g

* Wed Aug  7 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.9.6e-2m)
- [security] Add Patch10 (openssl-0.9.6e-asn1.diff)
  This patch fixes the ASN.1 vulnerability.
  Ref. http://rhn.redhat.com/errata/RHSA-2002-160.html
- on alpha*, do not use ./config, use ./Configure instead,
  because shared library is not built if ccc is installed.
- delete Patch1 (openssl-alphaev5.patch)
  since ./config is no longer used on alpha*
- modify openssl-cflags.patch so as to
  make command line arguments have higher priority
  than ./Configure's default one.
- modify openssl-cflags.patch to build on sparc
  (assembler is disabled).

* Tue Jul 30 2002 HOSONO Hidetomo <h@h12o.org>
- (0.9.6e-1m)
- version up (openssl-0.9.6e includes a security fix)
- a fix of openssl-cflags.patch

* Fri May 17 2002 HOSONO Hidetomo <h@kondara.org>
- (0.9.6d-4k)
- a fix of openssl-cflags.patch
  and openssl-0.9.6d-Configure.patch is not needed(...).

* Wed May 15 2002 HOSONO Hidetomo <h@kondara.org>
- (0.9.6d-2k)
- update to 0.9.6d
- update openssl-cflags.patch
- add openssl-0.9.6d-Configure.patch for Configure script bug fix

* Fri Mar  8 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.6c-2k)
- update to 0.9.6c

* Thu Nov  8 2001 Masahiro Takahata <takahata@kondara.org>
- (0.9.6b-6k)
- import from rawhide(Makefile.certificate make-dummy-cert)
- import from mod_ssl(ca-bundle.crt)

* Mon Aug  3 2001 Toru Hoshina <toru@df-usa.com>
- (0.9.6b-4k)
- force ev5 for alphaev5.

* Sun Jul 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.9.6b-2k)
- update to 0.9.6b for security fix

* Wed Apr 11 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.9.6a

* Thu Oct 12 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.9.6
- no-rc5 no-idea
* Wed Apr 19 2000 Tenkou N. Hattori <tnh@kondara.org>
- kondarize.
* Sun Feb 27 2000 Damien Miller <djm@mindrot.org>
- Merged patches to spec
- Updated to 0.9.5beta2 (now with manpages)
* Sat Feb  5 2000 Michal Jaegermann <michal@harddata.com>
- added 'linux-alpha' to configuration
- fixed nasty absolute links
* Tue Jan 25 2000 Bennett Todd <bet@rahul.net>
- Added -DSSL_ALLOW_ADH, bumped Release to 4
* Thu Oct 14 1999 Damien Miller <djm@mindrot.org>
- Set default permissions
- Removed documentation from devel sub-package
* Thu Sep 30 1999 Damien Miller <djm@mindrot.org>
- Added "make test" stage
- GPG signed
* Tue Sep 10 1999 Damien Miller <damien@ibs.com.au>
- Updated to version 0.9.4
* Tue May 25 1999 Damien Miller <damien@ibs.com.au>
- Updated to version 0.9.3
- Added attributes for all files
- Paramatised openssl directory
* Sat Mar 20 1999 Carlo M. Arenas Belon <carenas@jmconsultores.com.pe>
- Added "official" bnrec patch and taking other out
- making a link from ssleay to openssl binary
- putting all changelog together on SPEC file
* Fri Mar  5 1999 Henri Gomez <gomez@slib.fr>
- Added bnrec patch
* Tue Dec 29 1998 Jonathan Ruano <kobalt@james.encomix.es>
- minimum spec and patches changes for openssl
- modified for openssl sources
* Sat Aug  8 1998 Khimenko Victor <khim@sch57.msk.ru>
- shared library creating process honours %{optflags}
- shared libarry supports threads (as well as static library)
* Wed Jul 22 1998 Khimenko Victor <khim@sch57.msk.ru>
- building of shared library completely reworked
* Tue Jul 21 1998 Khimenko Victor <khim@sch57.msk.ru>
- RPM is BuildRoot'ed
* Tue Feb 10 1998 Khimenko Victor <khim@sch57.msk.ru>
- all stuff is moved out of /usr/local
